dots.v2.droplets.autoscale.get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.droplets.autoscale.get(requestConfiguration?: RequestConfiguration<AutoscaleRequestBuilderGetQueryParameters>): Promise<undefined | AutoscaleGetResponse>Description
To list all autoscale pools in your team, send a GET request to /v2/droplets/autoscale.
The response body will be a JSON object with a key of autoscale_pools containing an array of autoscale pool objects.
These each contain the standard autoscale pool attributes.
Parameters
perPageinteger optionalExample:
2Number of items returned per page
pageinteger optionalExample:
1Which 'page' of paginated results to return.
namestring optionalExample:
my-autoscale-poolThe name of the autoscale pool
Request Sample
Pagination
This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:
let response = await client.v2.droplets.autoscale.get();
let pages = response?.links?.pages;
while (pages && "next" in pages && typeof pages.next === "string") {
const page = Number(new URL(pages.next).searchParams.get("page"));
response = await client.v2.droplets.autoscale.get({
queryParameters: {
page,
},
});
pages = response?.links?.pages;
}Response Example
More Information
See /v2/droplets/autoscale in the API reference for additional detail on responses, headers, parameters, and more.